Page MenuHomePhabricator

WQS displays some queries with lots of red dots
Closed, InvalidPublic

Description

Not quite sure when it happens. Maybe someone else has the same problem.

Event Timeline

Esc3300 created this task.Jul 28 2017, 8:33 AM
Restricted Application added projects: Wikidata, Discovery. · View Herald TranscriptJul 28 2017, 8:33 AM
Restricted Application added subscribers: PokestarFan, Aklapper. · View Herald Transcript

+ strings starting with a single quote

Could you please give an example of a query, and maybe a screenshot?

this

It would be good to have a way to de-activate this.

Do you mean the dots under WITH ?

This is the client side SPARQL validation which is complaining about named subqueries which are not part of the spec, but supported by Blazegraph.
Maybe they will eventually add this to the parsing engine of SPARQL.js

If you like I could make the client side validation appear yellow.
Would this make it better for you?

Esc3300 added a comment.EditedJul 31 2017, 11:49 AM

Depending on the query, half the page is red and the query still works fine.

It's just distracting to see it colored.

With http://tinyurl.com/y9ekltr7 WITH and its parts in "{ ... }" get sometimes dotted and I agree that it is distracting. It would be better with SPARQL.js switched off then or something like

.error-line {
    border-bottom: 2px dotted white;
}

Or whatever.

Smalyshev added a comment.EditedJul 31 2017, 5:56 PM

Interestingly enough, what I see with the query above is just "WITH {" being underlined, but the rest is fine. Browser differences?

Update: spoke too soon, in fact when you edit it, the whole part inside WITH is red-lined. It is pretty distracting, I wonder if it's possible to do something about it.

@Smalyshev Try to add an empty newline at the top. That usually does it.

As fixing WITH highlighting was declined (T171934) can we just get rid of this feature? It isn't of much use if it's based on wrong assumptions.

Jonas closed this task as Resolved.Aug 10 2017, 6:26 PM
Jonas claimed this task.
Izno added a subscriber: Izno.Aug 10 2017, 6:34 PM

This should be Stalled or Open, not Resolved, if the task is an upstream fix, only to be closed when we get a pull from upstream.

Aklapper changed the task status from Resolved to Invalid.Aug 11 2017, 8:58 AM

Closing as invalid as fixing is outside the power of the component's developers.

In my opinion it is not outside the component developer, as the SPARQL.js just could be disabled here on WDQS. In my opinion the red dots confuse more than syntax highlighting helps (when there is no WITH). If WDQS could be personalized I would switch SPARQL.js off.

The recent update of the query service GUI has just too many defects. I think we'd better revert to the previous one.

@Lydia_Pintscher why isn't there anything being done about the defective query service GUI ?

So, I am a little confused about the escalation here ...

  1. We reported the problem upstream.
  2. For me it seems named sub queries are a rare edge case only used by experts.
  3. We should empathize with beginners and think of the usefulness of that feature for them.
  4. It is just a optical glitch comparable to a wrong spelling correction annotation.

So, please comment on this ticket https://github.com/RubenVerborgh/SPARQL.js/issues/43#issuecomment-321711123 and the issue will be fixed soon.
Thanks.

Esc3300 added a comment.EditedAug 11 2017, 12:26 PM

I just want to know why we got an incompatible syntax highlighter.

I'm sure the highlighter is perfectly helpful on other websites, but the GUI at Wikidata Query Service has deteriorated over the last two weeks and this is one of its causes.

It's possible that the discussion of this shouldn't take place in the ticket about the problem. Apparently, it's a known issue that just isn't consider relevant by the person who changed the GUI.

I wonder how hard would it be yo just temporarily remove the dots thing altogether, pending the upstream fix. We can keep the syntax highlighting, but drop the dots part for a while.

I think someone pointed to error-line{border-bottom:2px dotted red} (I forgot who). https://query.wikidata.org/css/style.min.0d7eafbda8bb1aa11051.css. Changing red to white seems to do it.

Change 371470 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[wikidata/query/gui@master] Temporarily disable highlighting parse errors

https://gerrit.wikimedia.org/r/371470

Change 371470 merged by jenkins-bot:
[wikidata/query/gui@master] Temporarily disable highlighting parse errors

https://gerrit.wikimedia.org/r/371470